      SUBROUTINE no_blanks_indices(filenm, ifna, ifnb)
*
*BOD
*DESCRIPTION
* Extract index of the first, ifna, and last, ifnb,  occurence 
* of non-blank characters in filenm.
*USAGE
**FORTRAN
*     CALL no_blanks_indices(filenm, ifna, ifnb)
**PERL
*INPUT
**filenm
*     character
*     One word with eventually blanks in front and at the end.
*OUTPUT
**ifna, ifnb
*     integers
*     First and last occurrence of non-blank characters in filenm.
*ERROR_MESSAGES
*ROUTINES_CALLED
*FILES
*REFERENCES
*BUGS
*     Only the first 100 characters in filenm are examined.
*EOD
*
      IMPLICIT LOGICAL (A-Z)  ! To nearly get strong typing
      CHARACTER*(*) filenm 
      INTEGER ifna, ifnb, in
*
* Internal variables
*     
      LOGICAL first
*     
      ifna = 0
      ifnb = 0
      in   = 1
      first= .TRUE.
      DO WHILE ( .TRUE. ) 
         IF ( first .AND. (filenm(in:in) .NE. ' ') ) THEN
            ifna = in
            ifnb = in
            first= .FALSE.
         ENDIF
         IF ( .NOT. first .AND. filenm(in:in) .EQ. ' ' ) THEN
            ifnb = in - 1
            GOTO 98
         ENDIF
         IF ( in .GE. 100 ) GOTO 98
         in = in + 1
      ENDDO
 98   CONTINUE
*
      RETURN
      END
      
